Subject: Re: 2.6.20-rc1 sky2 problems (regression?)

From: Stephen Hemminger <[email-masked]>
Date: Fri, 15 Dec 2006 17:25:20 -0800

On Thu, 14 Dec 2006 19:53:45 -0800
Alex Romosan <[email-masked]> wrote:

> Stephen Hemminger <[email-masked]> writes:
> 
> > I have a fixed up version of the vendor driver, I'll repackage it tomorrow.
> 
> as per the include file, i ended up replacing all the CHECKSUM_HW with
> CHECkSUM_PARTIAL since the functions in questions had to do with
> transmit. seems to be working so far without any lockups. we'll see
> how long this lasts.
> 
> --alex--
> 

I fixed a bunch of stuff (see ChangeLog) and made a 2.6.19 or later
version see:
	http://developer.osdl.org/shemminger/prototypes/sk98lin-8.41.tar.gz

It is too noisy in the console log, because it shows how many times
the driver dope slaps itself senseless...  Basically every 250ms when
it is idle it resets, sorry it's the kind of code you right to "make it work"
and ship it which is why vendor drivers suck.

-- 
Stephen Hemminger <[email-masked]>